import java.io.File;
import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.io.*;
import java.util.*;

public class makeMondai_fromsimple
{
  public static void main( String[] args )
  {
    if( args.length != 2 ) {
      System.out.println("Usage: makeMondai_fromsimple inputfile outputfile");
      System.exit(1);
    }
    try {
      //
      // eLXgt@Cǂ݁AƂ肠蕶Ɠ1Vectorɓ
      //
      File file = new File(args[0]);
      BufferedReader b_reader = new BufferedReader(new InputStreamReader(new FileInputStream(file),"UTF-16"));
      Vector v = new Vector();
      Vector vKotaeList = new Vector();
      {
        String s;
        Vector vMondaiKotae = new Vector();
        while( (s = b_reader.readLine())!=null ) {
          if( s.startsWith("#") ) continue;          // Rgs
          if( s.length() == 0 ) continue;            // s͂r
  
          String sMondai = "";
          String sKotae1 = "";
          int iIdx = s.indexOf(",");
          if( iIdx <= 0 ) {
            System.out.println("err...comma not found: " + s );
            System.exit(1);
          } else {
            sMondai = s.substring(0,iIdx);
            sKotae1 = s.substring( iIdx +1 );
          }
          vMondaiKotae = new Vector();
          vMondaiKotae.add(sMondai);
          vMondaiKotae.add(sKotae1);
          vKotaeList.add(sKotae1);         // ̈ꗗ
          v.add( vMondaiKotae );
        }
      }
      b_reader.close();
      //
      // ̈ꗗ瓚2T܂łƂĂVectorɂr
      //
      Vector vNew = new Vector();
      for( int i=0; i < v.size(); i++ ) {
        Vector vMondaiKotae = (Vector) v.get(i);
        String sKotae1 = (String) vMondaiKotae.get(1);
        Collections.shuffle( vKotaeList );
        Vector vKotae25 = getKotae4( sKotae1, vKotaeList );
        vMondaiKotae.add( vKotae25.get(0) );                 // 2
        vMondaiKotae.add( vKotae25.get(1) );                 // 3
        vMondaiKotae.add( vKotae25.get(2) );                 // 4
        vMondaiKotae.add( vKotae25.get(3) );                 // 5
        vNew.add( vMondaiKotae );
      }
      //
      // t@Cɖ蕶ƑITo
      //
      File file_write = new File(args[1]);
      PrintWriter p_writer    = new PrintWriter(new BufferedWriter(new OutputStreamWriter(new FileOutputStream(file_write),"UTF-16")));

      p_writer.println("#");
      p_writer.println("# generated from makeMondai_fromsimple");
      p_writer.println("#");

      for( int i=0; i < vNew.size(); i++ ) {
        Vector vMondaiKotae = (Vector) vNew.get(i);
        String sMondai = (String) vMondaiKotae.get(0);
        String sKotae1 = (String) vMondaiKotae.get(1);
        String sKotae2 = (String) vMondaiKotae.get(2);
        String sKotae3 = (String) vMondaiKotae.get(3);
        String sKotae4 = (String) vMondaiKotae.get(4);
        String sKotae5 = (String) vMondaiKotae.get(5);

        p_writer.println(sMondai);
        p_writer.println(sKotae1);
        p_writer.println(sKotae2);
        p_writer.println(sKotae3);
        p_writer.println(sKotae4);
        p_writer.println(sKotae5);
        p_writer.println("");
      }
      p_writer.close();

      // G[ꍇ́AX^bNg[Xo
    } catch(Exception e) {
      e.printStackTrace();
    }
  }
  //
  // PƏdȂ̂Sf
  // in: PÃXg
  // out: 2T܂ł̃Xg
  //
  public static Vector getKotae4( String sKotae1, Vector vKotaeList ) {
    Vector vRet = new Vector();
    String sKotae2 = "";
    String sKotae3 = "";
    String sKotae4 = "";
    String sKotae5 = "";

    for( int i=0; i < vKotaeList.size(); i++ ) {  // Q
      String s = (String) vKotaeList.get(i);
      // PƓ͂
      if( s.equals( sKotae1 ) ) {
        // 
      } else {
        vRet.add( s );
        sKotae2 = s;
        break;
      }
    }
    for( int i=0; i < vKotaeList.size(); i++ ) {  // R
      String s = (String) vKotaeList.get(i);
      // 1Ɠ2Ɠ͂
      if( s.equals( sKotae1 ) || s.equals( sKotae2 ) ) {
      } else {
        vRet.add( s );
        sKotae3 = s;
        break;
      }
    }
    for( int i=0; i < vKotaeList.size(); i++ ) {  // 4
      String s = (String) vKotaeList.get(i);
      // 1Ɠ2Ɠ3Ɠ͂
      if( s.equals( sKotae1 ) || s.equals( sKotae2 ) || s.equals( sKotae3 ) ) {
      } else {
        vRet.add( s );
        sKotae4 = s;
        break;
      }
    }
    for( int i=0; i < vKotaeList.size(); i++ ) {  // 5
      String s = (String) vKotaeList.get(i);
      // 1Ɠ2Ɠ3Ɠ4Ɠ͂
      if( s.equals( sKotae1 ) || s.equals( sKotae2 ) || s.equals( sKotae3 ) || s.equals( sKotae4 ) ) {
      } else {
        vRet.add( s );
        sKotae5 = s;
        break;
      }
    }
    return( vRet );
  }
}

